## ldap-haskell 0.5.1build1

=== Makefile ===
# arch-tag: Main Makefile
# Copyright (C) 2004 - 2005 John Goerzen <jgoerzen@complete.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

PROJECT := LDAP

.PHONY: all
all: setup
	./setup configure
	./setup build

PYTHON ?= python
setup: Setup.lhs LDAP.cabal
	ghc -package Cabal Setup.lhs -o setup


doc: setup
	./setup haddock

clean:
	-./setup clean
	-rm -rf html `find . -name "*.o"` `find . -name "*.hi"` \
		`find . -name "*~"` *.a setup dist testsrc/runtests \
		MissingPy.cabal local-pkg
	-cd doc && $(MAKE) clean

.PHONY: local-pkg
local-pkg: all
	echo "[" > local-pkg
	cat .installed-pkg-config >> local-pkg
	echo "]" >> local-pkg

testsrc/runtests: all $(shell find . -name "*.hs") \
			$(shell find . -name "*.hsc")
	ghc6 -O2 -o testsrc/runtests -Ldist/build -odir dist/build \
	   -hidir dist/build -package mtl -idist/build -itestsrc \
	   -L/usr/lib -L/usr/lib/python2.3/site-packages \
	   -I/usr/include/python2.3 \
		-package HUnit --make testsrc/runtests.hs \
		dist/build/glue/glue.o dist/build/glue/excglue.o -lpython2.3

# dist/build/libHSMissingPy-*
test-ghc6: testsrc/runtests
	testsrc/runtests 

test-hugs:
	runhugs -98 +o -P$(PWD)/libsrc:$(PWD)/testsrc: testsrc/runtests.hs

interact-hugs:
	hugs -98 +o -Pdist/build:

interact-ghci: all
	ghci -fallow-overlapping-instances -fallow-undecidable-instances -fglasgow-exts -ilibsrc

interact: interact-hugs

test: test-ghc6

genexceptions:
	runhugs genexceptions.hs

data:
	runhugs utils/genconsts.hs > LDAP/Data.hsc

=== debian/changelog ===
ldap-haskell (0.5.1build1) dapper; urgency=low

  * Rebuild for registered/unregistered change of ghc6 on amd64/sparc.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Wed, 12 Apr 2006 16:18:05 +0200

ldap-haskell (0.5.1) unstable; urgency=low

  * Rebuilt for new GHC.  Closes: #335626.
  * Update build-dep for new haskell-devscripts.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 25 Oct 2005 06:01:55 -0500

ldap-haskell (0.5.0) unstable; urgency=low

  * Added new features for ldap modifications.
  * Tightened up build-depends on haskell-devscripts.  Closes: #326793.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 29 Aug 2005 06:02:08 -0500

ldap-haskell (0.1.0) unstable; urgency=low

  * Initial release.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 10 Aug 2005 05:15:37 -0500

=== debian/control ===
Source: ldap-haskell
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.1), ghc6 (<< 6.4.1-999), hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.11), libldap2-dev
Build-Depends-Indep: debhelper (>= 4.0.0), haddock, ghc6 (>= 6.4.1), haskell-devscripts (>= 0.5.11), libldap2-dev
Standards-Version: 3.6.1
Section: devel

Package: libghc6-ldap-dev
Section: devel
Architecture: any
Suggests: ldap-haskell-doc
Depends: ${haskell:Depends}, libldap2-dev, ${shlibs:Depends}
Description: LDAP Interface for Haskell
 This package provides an interface to the C LDAP API for Haskell programmers.
 With it, you can search, modify, and interrogate LDAP directories.
 The Haskell binding features automatic memory management and proper
 handling for binary data, and handles all marhsalling into and out of
 C data structures for you automatically.
 .
 This package is built for GHC.  A Hugs package is also available
 in libhugs-ldap.

Package: libhugs-ldap
Section: devel
Architecture: any
Suggests: ldap-haskell-doc
Depends: ${haskell:Depends}, ${shlibs:Depends}
Description: LDAP Interface for Haskell
 This package provides an interface to the C LDAP API for Haskell programmers.
 With it, you can search, modify, and interrogate LDAP directories.
 The Haskell binding features automatic memory management and proper
 handling for binary data, and handles all marhsalling into and out of
 C data structures for you automatically.
 .
 This package is built for Hugs.  A GHC package is also available
 in libghc6-ldap-dev.

Package: ldap-haskell-doc
Section: devel
Architecture: all
Description: LDAP Interface for Haskell
 This package provides an interface to the C LDAP API for Haskell programmers.
 With it, you can search, modify, and interrogate LDAP directories.
 The Haskell binding features automatic memory management and proper
 handling for binary data, and handles all marhsalling into and out of
 C data structures for you automatically.
 .
 This package provides documentation for the Haskell LDAP bindings.

## ldap-haskell 0.5.2

=== debian/changelog ===
ldap-haskell (0.5.2) unstable; urgency=low

  * Rebuilt for GHC 6.4.2

 -- John Goerzen <jgoerzen@complete.org>  Mon,  3 Jul 2006 10:20:56 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: ldap-haskell
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.1), ghc6 (<< 6.4.1-999), hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.11), libldap2-dev
-Build-Depends-Indep: debhelper (>= 4.0.0), haddock, ghc6 (>= 6.4.1), haskell-devscripts (>= 0.5.11), libldap2-dev
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.2), ghc6 (<< 6.4.2-999), hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.11), libldap2-dev
+Build-Depends-Indep: debhelper (>= 4.0.0), haddock, ghc6 (>= 6.4.2), haskell-devscripts (>= 0.5.11), libldap2-dev
 Standards-Version: 3.6.1
 Section: devel

## ldap-haskell 0.6.0

=== debian/changelog ===
ldap-haskell (0.6.0) unstable; urgency=low

  * Removed LDAP_OPT_ON and LDAP_OPT_OFF -- caused link problems on Gentoo
  
  * Updates for GHC 6.6
  
  * Removed some extra files

 -- John Goerzen <jgoerzen@katherina.lan.complete.org>  Fri, 20 Oct 2006 08:14:03 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: ldap-haskell
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.2), ghc6 (<< 6.4.2-999), hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.11), libldap2-dev
-Build-Depends-Indep: debhelper (>= 4.0.0), haddock, ghc6 (>= 6.4.2), haskell-devscripts (>= 0.5.11), libldap2-dev
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.6), ghc6 (<< 6.6-999), hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.11), libldap2-dev, haddock
+Build-Depends-Indep: debhelper (>= 4.0.0), haddock, ghc6 (>= 6.6), haskell-devscripts (>= 0.5.11), libldap2-dev, haddock
 Standards-Version: 3.6.1
 Section: devel

## ldap-haskell 0.6.2

=== debian/changelog ===
ldap-haskell (0.6.2) unstable; urgency=low

  * Update for GHC 6.6.1.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 06 Jun 2007 07:12:45 -0500

ldap-haskell (0.6.1) unstable; urgency=low

  * Update copyright info and doc locations

 -- John Goerzen <jgoerzen@complete.org>  Wed, 10 Jan 2007 05:40:45 -0600

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ldap-haskell
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.6), ghc6 (<< 6.6-999), hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.11), libldap2-dev, haddock
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.6.1), ghc6 (<< 6.6.1-999), hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.11), libldap2-dev, haddock
 Build-Depends-Indep: debhelper (>= 4.0.0), haddock, ghc6 (>= 6.6), haskell-devscripts (>= 0.5.11), libldap2-dev, haddock
 Standards-Version: 3.6.1
 Section: devel

## ldap-haskell 0.6.4.0

=== debian/changelog ===
ldap-haskell (0.6.4.0) unstable; urgency=low

  * Update for newer OpenLDAP: rename LDAP_X_PROXY_AUTHZ_FAILURE
    from LDAP_PROXY_AUTHZ_FAILURE.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 04 Feb 2008 01:14:44 -0600

ldap-haskell (0.6.3.0) unstable; urgency=low

  * Update for newer GHC 6.8.x.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 16 Jan 2008 10:06:34 -0600

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: ldap-haskell
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.6.1), ghc6 (<< 6.6.1-999), hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.11), libldap2-dev, haddock
-Build-Depends-Indep: debhelper (>= 4.0.0), haddock, ghc6 (>= 6.6), haskell-devscripts (>= 0.5.11), libldap2-dev, haddock
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2), ghc6 (<< 6.8.2-999), hugs (>= 98.200503.08), haskell-devscripts (>= 0.6.6), libldap2-dev (>= 2.4.7), haddock
+Build-Depends-Indep: debhelper (>= 4.0.0), haddock, ghc6 (>= 6.8.2), haskell-devscripts (>= 0.6.6), libldap2-dev, haddock
 Standards-Version: 3.6.1
 Section: devel

## ldap-haskell 0.6.4.1

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,9 @@
 
 
 doc: setup
+	-rm -rf html
 	./setup haddock
+	mv dist/doc/html .
 
 clean:
 	-./setup clean

=== debian/changelog ===
ldap-haskell (0.6.4.1) unstable; urgency=high

  * Rebuild with newer GHC.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 19 Jan 2009 10:46:26 -0600

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,14 @@
 Source: ldap-haskell
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2), ghc6 (<< 6.8.2-999), hugs (>= 98.200503.08), haskell-devscripts (>= 0.6.6), libldap2-dev (>= 2.4.7), haddock
-Build-Depends-Indep: debhelper (>= 4.0.0), haddock, ghc6 (>= 6.8.2), haskell-devscripts (>= 0.6.6), libldap2-dev, haddock
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2dfsg1-1), hugs (>= 98.200503.08), haskell-devscripts (>= 0.6.15), libldap2-dev (>= 2.4.7), haddock
+Build-Depends-Indep: debhelper (>= 4.0.0), haddock, ghc6 (>= 6.8.2dfsg1-1), haskell-devscripts (>= 0.6.15), libldap2-dev, haddock
 Standards-Version: 3.6.1
 Section: devel
+Vcs-Git: git://git.complete.org/ldap-haskell
+Vcs-browser: http://git.complete.org/ldap-haskell
+Homepage: http://software.complete.org/ldap-haskell
+
 
 Package: libghc6-ldap-dev
 Section: devel

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	make setup
	./setup configure --prefix=$(LIBPATH) --ghc

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	#make test-ghc6
	# Add here commands to compile the package.
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-./setup clean
	-make clean
	-rm -rf setup Setup.hi Setup.ho Setup.o .*config* dist html

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs -a 

	# Add here commands to install the package into debian/tmp
	dh_haskell -a
	dh_haskell_depends -a
	#make test

builddocs: builddocs-stamp
builddocs-stamp:
	dh_testdir

	make doc
	#make test-hugs

installdocs: builddocs
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -i

	dh_haskell -i
	#make test-hugs

# Build architecture-independent files here.
binary-indep: builddocs installdocs
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman -i
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## ldap-haskell 0.6.9

=== debian/changelog ===
ldap-haskell (0.6.9-2) unstable; urgency=low

  * Enable compat level 9
  * Bump standards version to 3.9.4

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:52:46 +0200

ldap-haskell (0.6.9-1) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this package is built
    against experimental
  * Add watch file
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 05 Jan 2013 21:13:09 +0100

ldap-haskell (0.6.6-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Sourceful upload to rebuild documentation package.

 -- Clint Adams <clint@debian.org>  Wed, 22 Feb 2012 20:22:33 -0500

ldap-haskell (0.6.6-4) unstable; urgency=low

  * [60ee81f] debian/control: Rename ghc6→ghc for GHC 7 transition
  * [25d9a5a] debian/control: Standards-Version → 3.9.2, no changes required

 -- Iain Lane <laney@debian.org>  Mon, 23 May 2011 15:53:34 +0100

ldap-haskell (0.6.6-3) unstable; urgency=low

  * control: Use versioned Replaces: and Conflicts:

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Wed, 05 May 2010 23:13:55 -0300

ldap-haskell (0.6.6-2) unstable; urgency=low

  * debian/control: Rename -doc package.
  * debian/control: Build-Depends: debhelper (>= 7).
  * debian/control: Bump Standards-Version to 3.8.4, changing Section to
    haskell.
  * debian/control: Remove Build-Dependes(-Indep) in haddock, and
    versioned in ghc6.
  * debian/control: Build-Depends-Indep: correct.
  * debian/control: Use haskell: variables.
  * debian/control: Include -prof package.
  * debian/control: Use misc:Depends.
  * Fix "typo in package description" by correction typo.  Thanks to Georg
    Neis <gn@oglaroon.de>. (Closes: #414898)
  * debian/missingpy.doc-base.EX: Remove dh-make example file.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Thu, 18 Mar 2010 09:09:15 -0300

ldap-haskell (0.6.6-1) unstable; urgency=low

  * New upstream release.
  * Rebuild for GHC 6.12.
  * Switching to Haskell team maintenance.
  * Dropping Hugs support for now due to lack of support for Hugs in Cabal.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 18 Feb 2010 11:25:39 -0600

ldap-haskell (0.6.5-1) unstable; urgency=low

  * Update for GHC 6.10.  Closes: #522473.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 06 Apr 2009 10:41:58 -0500

=== debian/control ===
Source: ldap-haskell
Priority: optional
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 9), ghc, ghc-prof, haskell-devscripts (>= 0.8.13), libldap2-dev (>= 2.4.7), cdbs
Build-Depends-Indep: ghc-doc
Standards-Version: 3.9.4
Section: haskell
Homepage: http://software.complete.org/ldap-haskell
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/ldap-haskell
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/ldap-haskell


Package: libghc-ldap-dev
Section: haskell
Architecture: any
Suggests: ${haskell:Suggests}
Depends: ${haskell:Depends}, libldap2-dev, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Description: LDAP Interface for Haskell
 This package provides an interface to the C LDAP API for Haskell programmers.
 With it, you can search, modify, and interrogate LDAP directories.
 The Haskell binding features automatic memory management and proper
 handling for binary data, and handles all marshalling into and out of
 C data structures for you automatically.
 .
 This package is built for GHC.

Package: libghc-ldap-prof
Section: haskell
Architecture: any
Suggests: ${haskell:Suggests}
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Description: LDAP Interface for Haskell; profiling libraries
 This package provides an interface to the C LDAP API for Haskell programmers.
 With it, you can search, modify, and interrogate LDAP directories.
 The Haskell binding features automatic memory management and proper
 handling for binary data, and handles all marshalling into and out of
 C data structures for you automatically.
 .
 This package is built for GHC, compiled for profiling.

Package: libghc-ldap-doc
Replaces: ldap-haskell-doc (<< 0.6.6-2)
Conflicts: ldap-haskell-doc (<< 0.6.6-2)
Provides: ldap-haskell-doc
Section: doc
Architecture: all
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: LDAP Interface for Haskell
 This package provides an interface to the C LDAP API for Haskell programmers.
 With it, you can search, modify, and interrogate LDAP directories.
 The Haskell binding features automatic memory management and proper
 handling for binary data, and handles all marshalling into and out of
 C data structures for you automatically.
 .
 This package provides documentation for the Haskell LDAP bindings.

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|LDAP-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/LDAP \
    ([\d\.]*\d)/

## ldap-haskell 0.6.10

=== debian/changelog ===
ldap-haskell (0.6.10-5) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:55:22 -0500

ldap-haskell (0.6.10-4) experimental; urgency=medium

  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:29:13 +0200

ldap-haskell (0.6.10-3) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:55:58 +0200

ldap-haskell (0.6.10-2) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:12:59 +0100

ldap-haskell (0.6.10-1) unstable; urgency=low

  * Adjust watch file to new hackage layout
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Wed, 06 Aug 2014 22:22:24 +0200

=== debian/control ===
Source: ldap-haskell
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: John Goerzen <jgoerzen@complete.org>
Priority: optional
Section: haskell
Build-Depends: debhelper (>= 9),
 ghc,
 ghc-prof,
 haskell-devscripts (>= 0.10),
 libldap2-dev (>= 2.4.7),
 cdbs,
Build-Depends-Indep: ghc-doc,
Standards-Version: 3.9.6
Homepage: http://software.complete.org/ldap-haskell
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git

Package: libghc-ldap-dev
Architecture: any
Section: haskell
Depends: ${haskell:Depends},
 libldap2-dev,
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Description: LDAP Interface for Haskell
 This package provides an interface to the C LDAP API for Haskell programmers.
 With it, you can search, modify, and interrogate LDAP directories.
 The Haskell binding features automatic memory management and proper
 handling for binary data, and handles all marshalling into and out of
 C data structures for you automatically.
 .
 This package is built for GHC.

Package: libghc-ldap-prof
Architecture: any
Section: haskell
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Description: LDAP Interface for Haskell; profiling libraries
 This package provides an interface to the C LDAP API for Haskell programmers.
 With it, you can search, modify, and interrogate LDAP directories.
 The Haskell binding features automatic memory management and proper
 handling for binary data, and handles all marshalling into and out of
 C data structures for you automatically.
 .
 This package is built for GHC, compiled for profiling.

Package: libghc-ldap-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ldap-haskell-doc (<< 0.6.6-2),
Provides: ldap-haskell-doc,
Replaces: ldap-haskell-doc (<< 0.6.6-2),
Description: LDAP Interface for Haskell
 This package provides an interface to the C LDAP API for Haskell programmers.
 With it, you can search, modify, and interrogate LDAP directories.
 The Haskell binding features automatic memory management and proper
 handling for binary data, and handles all marshalling into and out of
 C data structures for you automatically.
 .
 This package provides documentation for the Haskell LDAP bindings.

=== debian/watch ===
version=3
http://hackage.haskell.org/package/LDAP/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## ldap-haskell 0.6.11

=== debian/changelog ===
ldap-haskell (0.6.11-7build1) noble; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 04 Nov 2023 18:05:39 +0100

ldap-haskell (0.6.11-7) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.2
  * Sourceful upload for GHC 9.4

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Thu, 31 Aug 2023 16:49:39 +0300

ldap-haskell (0.6.11-6) unstable; urgency=medium

  * Add a missing Provides field for the dev/prof packages.

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 04 Jul 2022 19:06:39 +0300

ldap-haskell (0.6.11-5) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.1
  * Update package homepage

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 03 Jul 2022 14:27:01 +0300

ldap-haskell (0.6.11-4) unstable; urgency=medium

  * Sourceful upload for GHC 8.8

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 14 Jun 2020 16:17:23 +0300

ldap-haskell (0.6.11-3) unstable; urgency=medium

  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:27:13 +0300

ldap-haskell (0.6.11-2) unstable; urgency=medium

  * Add libsasl2-dev build dependency.

 -- Clint Adams <clint@debian.org>  Wed, 04 Jul 2018 12:26:34 -0400

ldap-haskell (0.6.11-1) unstable; urgency=medium

  * Set Rules-Requires-Root to no.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 03 Jul 2018 22:51:25 -0400

ldap-haskell (0.6.10-8) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:05:13 -0400

ldap-haskell (0.6.10-7) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:37:20 -0400

ldap-haskell (0.6.10-6) experimental; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Clint Adams ]
  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Fri, 14 Oct 2016 14:44:40 -0400

=== debian/control ===
Source: ldap-haskell
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: John Goerzen <jgoerzen@complete.org>
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends:
 cdbs,
 debhelper (>= 10),
 ghc (>= 9.4),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libldap2-dev (>= 2.4.7),
 libsasl2-dev,
Build-Depends-Indep: ghc-doc
Standards-Version: 4.6.2
Homepage: https://github.com/ezyang/ldap-haskell
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/ldap-haskell
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/ldap-haskell]

Package: libghc-ldap-dev
Architecture: any
Section: haskell
Depends: libldap2-dev, ${haskell:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: LDAP Interface for Haskell
 This package provides an interface to the C LDAP API for Haskell programmers.
 With it, you can search, modify, and interrogate LDAP directories.
 The Haskell binding features automatic memory management and proper
 handling for binary data, and handles all marshalling into and out of
 C data structures for you automatically.
 .
 This package is built for GHC.

Package: libghc-ldap-prof
Architecture: any
Section: haskell
Depends: ${haskell:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: LDAP Interface for Haskell; profiling libraries
 This package provides an interface to the C LDAP API for Haskell programmers.
 With it, you can search, modify, and interrogate LDAP directories.
 The Haskell binding features automatic memory management and proper
 handling for binary data, and handles all marshalling into and out of
 C data structures for you automatically.
 .
 This package is built for GHC, compiled for profiling.

Package: libghc-ldap-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Conflicts: ldap-haskell-doc (<< 0.6.6-2)
Provides: ldap-haskell-doc
Replaces: ldap-haskell-doc (<< 0.6.6-2)
Description: LDAP Interface for Haskell
 This package provides an interface to the C LDAP API for Haskell programmers.
 With it, you can search, modify, and interrogate LDAP directories.
 The Haskell binding features automatic memory management and proper
 handling for binary data, and handles all marshalling into and out of
 C data structures for you automatically.
 .
 This package provides documentation for the Haskell LDAP bindings.
